<?php
/**
 * @package     Joomla.Plugin
 * @subpackage  User.profile
 *
 * @copyright   Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('JPATH_PLATFORM') or die;

JFormHelper::loadFieldClass('checkboxes');

/**
 * Provides input for TOS
 *
 * @since  2.5.5
 */
class JFormFieldDeleteaccount extends JFormFieldCheckboxes
{
	/**
	 * The form field type.
	 *
	 * @var    string
	 * @since  2.5.5
	 */
	protected $type = 'Deleteaccount';

	/**
	 * Method to get the field label markup.
	 *
	 * @return  string  The field label markup.
	 *
	 * @since   2.5.5
	 */
	protected function getInput()
	{
		$html = array();
		$html[] = '<div style="margin-bottom:0px" class="alert alert-danger alert-error"><p>'.JText::_('PLG_JSN_DELETEACCOUNT_INFO').'</p></div>';
		$html[] = parent::getInput();
		$html[] = '<div id="deleteaccountbutton" style="margin:10px 0;display:none;"><button class="btn btn-block btn-danger btn-small btn-sm">'.JText::_('PLG_JSN_DELETEACCOUNT_BUTTON').'</button></div>';
		$html[] = '<script>jQuery(document).ready(function($){
			$("#jform_profile_delete_account0").change(function(){
				if($(this).prop("checked")) {
					$("#deleteaccountbutton").slideDown();
				}
				else {
					$("#deleteaccountbutton").slideUp();
				}
			});
			$("#deleteaccountbutton button").click(function(){
				var r = confirm("'.JText::_('PLG_JSN_DELETEACCOUNT_JSALERT').'");
				if (r == true) {
					window.location.href = "'.JURI::base().'index.php?deleteaccount=1&'.JSession::getFormToken().'=1";
				}
				return false;
			});
		});</script>';
		return implode($html);
	}
}
